'statusbar text
'检索指定状态栏窗口中的一个部件文本。
'参数：
'hStatus 状态栏句柄。
'iPart   要从中检索文本部分的从零开始的索引。
Function FF_StatusBar_GetText (ByVal hStatus as HWnd, ByVal iPart as Long) as CWSTR 
   Dim nLen   as Long
   Dim nBuffer() as UByte 
   nLen = LoWord(SendMessageW(hStatus, SB_GETTEXTLENGTH, iPart, 0))
   if nLen=0 then return ""
   redim nBuffer (nLen*2 + 2)
   SendMessageW hStatus, SB_GETTEXT, iPart, Cast(LPARAM, @nBuffer(0))
   Return *CPtr(WString ptr,@nBuffer(0))
End Function

